Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1282)
+++ palm/trunk/SCRIPTS/mrun	(revision 1289)
@@ -1307,5 +1194,5 @@
        rm filelist
 
-          # EVTL. ZYKLUSNUMMER AN DATEINAMEN ANFUEGEN
+          # APPEND CYCLE NUMBER TO FILENAME
        if (( maxcycle > 0 ))
        then
@@ -1323,6 +1210,6 @@
        fi
        
-          # DATEINAMEN OHNE PFAD ABER MIT ZYKLUSNUMMER ABSPEICHERN,
-          # DA SPAETER BEI RUECKSPEICHERN VOM ARCHIVSYSTEM EVTL. BENOETIGT
+          # STORE FILENAME WITHOUT PATH BUT WITH CYCLE NUMBER,
+          # BECAUSE IT MIGHT BE REQUIRED LATER TO RESTORE THE FILE FROM AN ARCHIVE-SYSTEM
        absnamein[$i]=$filename
        if (( maxcycle > 0 ))
@@ -1346,9 +1233,10 @@
  done
     
-    # VOLLSTAENDIGE DATEINAMEN (OHNE $ ODER ~) DER OUTPUT-FILES BILDEN,
-    # OUTPUT-DATEIEN AUF VORHANDENSEIN PRUEFEN UND EVTL. HOECHSTE ZYKLUSNUMMER
-    # ERMITTELN ODER, FALLS NICHT VORHANDEN, PRUEFEN, OB SIE SICH ANLEGEN LASSEN
-    # DIESE AKTIONEN FINDEN NICHT STATT, WENN PROGRAMM AUF REMOTE-MASCHINE
-    # RECHNET UND DATEI ANSCHLIESSEND TRANSFERIERT WERDEN SOLL!
+    # GENERATE FULL FILENAMES OF OUTPUT-FILES (WITHOUT $ OR ~),
+    # CHECK, IF OUTPUT-FILES EXIST, AND DETERMINE HIGHEST CYCLE NUMBER (IF CYCLES EXIST),
+    # OR, IN CASE THAT FILE DOES NOT EXIST, CHECK, IF IT CAN BE CREATED  
+    # THESE ACTIONS ARE NOT CARRIED OUT, IF FILES SHALL BE TRASFERRED FROM THE REMOTE TO
+    # THE LOCAL HOST (BECAUSE THEIR IS NO DIRECT ACCESS TO THE LOCAL DIRECTORIES FROM THE
+    # REMOTE HOST)
  (( i = 0 ))
  while (( i < iout ))
@@ -1376,5 +1264,5 @@
        then
       
-             # OUTPUT-DATEI NICHT VORHANDEN. PRUEFEN, OB ANLEGEN MOEGLICH.
+             # IF OUTPUT-FILE DOES NOT EXIST CHECK, IF IT CAN BE CREATED
           if  cat /dev/null > $filename  
           then
@@ -1382,5 +1270,6 @@
           else
 
-                # PRUEFEN, OB KATALOG VORHANDEN UND EVTL. DIESEN ANLEGEN
+                # CHECK, IF THE DIRECTORY WHERE FILE SHALL BE COPIED TO EXISTS
+                # IF IT DOES NOT EXIST, TRY TO CREATE IT
              if [[ ! -d $catalogname ]]
              then
@@ -1408,5 +1297,5 @@
        else
 
-             # ZYKLUSNUMMER FESTSTELLEN
+             # DETERMINE THE CYCLE NUMBER
           ls -1 -d $filename    >   filelist  2>/dev/null
           ls -1 -d $filename.*  >>  filelist  2>/dev/null
@@ -1428,8 +1317,6 @@
        fi
 
-          # EVTL. ZYKLUSNUMMER AN DATEINAMEN ANFUEGEN UND PRUEFEN, OB SICH
-          # DATEI AUCH WIRKLICH ANLEGEN LAESST. IM APPEND-FALL MUSS AN DEN
-          # HOECHSTEN VORHANDENEN ZYKLUS-ANGEHAENGT WERDEN. ANLAGEPRUEFUNG
-          # IST DANN NATUERLICH NICHT ZULAESSIG BZW. MOEGLICH
+          # APPEND CYCLE NUMBER TO FILENAME AND CHECK, IF FILE CAN BE CREATED
+          # IN CASE OF FILE-APPEND, FILE MUST BE APPENDED TO THE ONE WITH HIGHEST CYCLE NUMBER
        if [[ "${actionout[$i]}" != a ]]
        then
@@ -1455,7 +1342,7 @@
        fi
        
-          # DATEINAMEN OHNE PFAD ABER MIT ZYKLUSNUMMER ABSPEICHERN,
-          # DA SPAETER BEI ABLAGE AUF ARCHIVSYSTEM BZW. FUER
-          # DATEI OUTPUT_FILE_CONNECTIONS EVTL. BENOETIGT
+          # STORE FILENAME WITHOUT PATH BUT WITH CYCLE NUMBER,
+          # BECAUSE IT MIGHT BE REQUIRED LATER TO STORE THE FILE ON AN ARCHIVE-SYSTEM
+          # OR TO PUT THIS FILENAME ON FILE OUTPUT_FILE_CONNECTIONS
        pathout[$i]=$filename
        if (( maxcycle > 0 ))
@@ -1470,5 +1357,5 @@
 
 
-     # DAS DVR-PAKET ERFORDERT EINE ENTSPRECHENDE BIBLIOTHEK
+     # THE DVR-PACKAGE REQUIRES ITS OWN LIBRARY
  if [[ $(echo $package_list | grep -c dvrp_graphics) != 0 ]]
  then
@@ -1488,7 +1375,6 @@
 
 
-     # PRUEFEN, OB ENTWEDER HAUPTPROGRAMM ODER NUR EIN AUSFUEHRBARES
-     # PROGRAMM VEREINBART WURDE (IN DIESEM FALL BRAUCHT IM WEITEREN NICHT
-     # UEBERSETZT ZU WERDEN)
+     # CHECK, WETHER A MAIN PROGRAM OR AN EXECUTABLE HAVE BEEN DECLARED.
+     # EXECUTABLES DO NOT NEED TO BE COMPILED.
  if [[ "$mainprog" = ""  &&  "$executable" = "" ]]
  then
@@ -1505,7 +1391,6 @@
 
 
-    # SOURCE-VERZEICHNIS ZUM AUFSAMMELN DER ZU UEBERSETZENDEN PROGRAMMTEILE
-    # ERZEUGEN. HIERHIN WERDEN SPAETER IM FALL VON BATCH-JOBS AUCH DAS MRUN-
-    # SCRIPTS SOWIE DIE KONFIGURATIONSDATEI KOPIERT
+    # CREATE SOURCE-DIRECTORY TO COLLECT ROUTINES TO BE COMPILED.
+    # LATER THE MRUN-SCRIPT AND CONFIGURATION-FILE WILL ALSO BE COPIED TO THIS DIRECTORY.
  if [[ $restart_run != true  &&  "$SOURCES_COMPLETE" = "" ]]
  then
@@ -1515,8 +1400,7 @@
 
 
-    # ALLE ZU UEBERSETZENDEN PROGRAMMTEILE ZUSAMMENSAMMELN
-    # BEI BATCH-JOBS IST DIES NICHT NOETIG, WEIL DIE PROGRAMMTEILE BEREITS DURCH
-    # DEN MRUN-AUFRUF ERMITTELT SIND, DER DEN BATCH-JOB GENERIERT HAT, UND
-    # IM VERZEICHNIS SOURCES_FOR_RUN_... ABGELEGT SIND
+    # COLLECT ALL ROUTINES TO BE COMPILED
+    # THIS IS NOT REQUIRED WITHIN BATCH-JOBS, BECAUSE ROUTINES HAVE ALREADY BEEN COLLECTED
+    # BY THE MRUN-CALL WHICH CREATED THE BATCH-JOB.
  if [[ $do_compile = true  &&  "$SOURCES_COMPLETE" = "" ]]
  then
@@ -1527,10 +1411,10 @@
     then
 
-          # MODIFIZIERTE DATEIEN DER SVN-ARBEITSKOPIE BESTIMMEN
+          # DETERMINE MODIFIED FILES OF THE SVN WORKING COPY
        source_list=""
        cd  $source_path
 
 
-          # PRUEFEN, OB VERZEICHNIS UEBERHAUPT UNTER SVN-KONTROLLE STEHT
+          # CHECK, IF DIRECTORY IS UNDER SVN CONTROL
        if [[ ! -d .svn ]]
        then
@@ -1542,5 +1426,5 @@
 
 
-          # ALLE MODIFIZIERTEN QUELLCODEDATEIEN AUFLISTEN
+          # LIST ALL MODIFIED SOURCE CODE FILES
        Filenames=""
        svn status  >  tmp_mrun
@@ -1560,5 +1444,5 @@
 
 
-          # DATEIEN NACH SOURCES_FOR_RUN_... KOPIEREN
+          # COPY FILES TO SOURCES_FOR_RUN_...
        for  dateiname  in  $Filenames
        do
@@ -1570,7 +1454,6 @@
 
 
-       # MITTELS OPTION -s ANGEGEBENE DATEIEN NACH SOURCES_FOR_RUN_... KOPIEREN
-       # BEI AUTOMATISCHEN FORTSETZUNGSLAEUFEN SIND DORT SCHON ALLE DATEIEN
-       # VORHANDEN
+       # COPY FILES GIVEN BY OPTION -s TO DIRECTORY SOURCES_FOR_RUN_...
+       # AUTOMATIC RESTART RUNS JUST ACCESS THE DIRECTORY CREATED BY THE INITIAL RUN
     elif [[ "$source_list" != ""  &&  $restart_run != true ]]
     then
@@ -1581,5 +1464,5 @@
        do
 
-             # QUELLTEXT-DATEI DARF KEINE PFADE BEINHALTEN
+             # SOURCE CODE FILE IS NOT ALLOWED TO INCLUDE PATH
           if [[ $(echo $filename | grep -c "/") != 0 ]]
           then
@@ -1605,7 +1488,6 @@
 
 
-       # PRUEFEN, OB ENTWEDER HAUPTPROGRAMM VORHANDEN UND ES EVTL. IN DER
-       # LISTE DER ZU UEBERSETZENDEN PROGRAMMTEILE MIT ENTHALTEN IST (WENN
-       # NICHT, WIRD ES DIESER LISTE HINZUGEFUEGT)
+       # CHECK, IF A MAIN PROGRAM EXISTS AND IF IT IS PART OF THE LIST OF FILES
+       # TO BE COMPILED. IF NOT, ADD IT TO THE LIST.
     if [[ $restart_run != true ]]
     then
@@ -1627,6 +1509,6 @@
 
 
-       # MAKEFILE AUF VORHANDENSEIN PRUEFEN UND KOPIEREN
-       # BEI RESTART-LAEUFEN LIEGT ES SCHON IM VERZEICHNIS SOURCES_FOR_RUN...
+       # CHECK, IF MAKEFILE EXISTS AND COPY IT TO THE SOURCES_FOR_RUN... DIRECTORY
+       # NOT REQUIRED FOR RESTART RUNS, SOURCES_FOR_RUN... HAS BEEN CREATED BY THE INITIAL RUN
     if [[ "$restart_run" != true ]]
     then
@@ -1642,9 +1524,9 @@
 
 
-       # DATEIEN AUS ZUSAETZLICHEM QUELLVERZEICHNIS HINZUFUEGEN
+       # COPY FILES FROM OPTIONAL SOURCE PATH GIVEN IN THE CONFIGURATION FILE
     if [[ $restart_run != true  &&  "$add_source_path" != "" ]]
     then
 
-          # GIBT ES DAS VERZEICHNIS UEBERHAUPT?
+          # DOES THE DIRECTORY EXIST?
        if [[ ! -d $add_source_path ]]
        then
@@ -1711,17 +1593,4 @@
              else
 
-                # Default User-Interface von der Liste entfernen, falls Datei
-                # ein User-Interface enthaelt
-#             if [[ $( cat $dateiname | grep -c "END SUBROUTINE user_parin" ) != 0 ]]
-#             then
-#                if [[ $dateiname != user_interface.f90  &&  -f user_interface.f90 ]]
-#                then
-#                   rm -rf  user_interface.f90
-#                   source_list=`echo $source_list | sed -e 's/user_interface.f90//'`
-#                   printf "\n\n  *** default \"user_interface.f90\" removed from the files to be translated"
-#                   printf "\n      since a user-interface is found in file"
-#                   printf "\n      \"$add_source_path/$dateiname\" \n"
-#                   sleep 3
-#                else
                 if [[ $found = false ]]
                 then
@@ -1744,6 +1613,6 @@
 
 
-       # ALLE UNTERPROGRAMME, DIE ZU VEREINBARTEN SOFTWAREPAKETEN GEHOEREN,
-       # DER LISTE DER ZU UEBERSETZENDEN DATEIEN HINZUFUEGEN
+       # ADD ALL ROUTINES BELONGING TO SOFTWARE PACKAGES (GIVEN BY OPTION -p)
+       # TO THE LIST OF FILES TO BE COMPILED
     if [[ $restart_run != true  &&  -n $package_list ]]
     then
@@ -1756,12 +1625,12 @@
           [[ $package = "dvrp_graphics+1PE" ]]  &&  package=dvrp_graphics
 
-             # ERMITTELE ALLE DATEIEN, DIE ZUM PAKET GEHOEREN
-             # FEHLERMELDUNGEN WERDEN ABGEFANGEN, DA * AUCH VERZEICHNISSNAMEN
-             # LIEFERT
+             # DETERMINE FILES BELONGING TO THE PACKAGE
+             # ERROR MESSAGE ARE REDIRECTED TO /dev/null, BECAUSE WILDCARD (*) ALSO GIVES
+             # THE NAME OF THE DIRECTORY
           package_source_list=`grep "defined( __$package " * 2>/dev/null | cut -f1 -d:`
 
 
-             # FUEGE DIESE DATEIEN DER LISTE DER ZU UEBERSETZENDEN DATEIEN
-             # HINZU, FALLS SIE NOCH NICHT DAZUGEHOEREN
+             # ADD THESE FILES TO THE LIST OF FILES TO BE COMPILED,
+             # IF THEY ARE NOT ALREADY PART OF THE LIST
           for  source_list_name  in  $package_source_list
           do
@@ -1769,5 +1638,5 @@
              then
 
-                    # NUR DATEIEN MIT GUELTIGEN ENDUNGEN VERWENDEN
+                    # ONLY TAKE FILES WITH VALID SUFFIX
                 ending=`echo $source_list_name | cut -f2 -d.`
                 if [[ "$ending" = f90  ||  "$ending" = F90  ||  "$ending" = f  ||  "$ending" = F  ||  "$ending" = c ]]
@@ -1783,30 +1652,13 @@
     fi
 
-
-       # MAKEFILE AUF VORHANDENSEIN PRUEFEN UND KOPIEREN
-       # BEI RESTART-LAEUFEN LIEGT ES SCHON IM VERZEICHNIS SOURCES_FOR_RUN...
-#    if [[ "$restart_run" != true ]]
-#    then
-#       [[ "$makefile" = "" ]]  &&  makefile=$source_path/Makefile
-#       if [[ ! -f $makefile ]]
-#       then
-#          printf "\n  +++ file \"$makefile\" does not exist"
-#          locat=make; exit
-#       else
-#          cp  $makefile  SOURCES_FOR_RUN_$fname/Makefile 
-#       fi
-#    fi
-
  fi  # do_compile=true
 
 
-    # FALLS PROGRAMMTEILE UEBERSETZT WERDEN SOLLEN, FOLGEN JETZT EINIGE
-    # UEBERPRUEFUNGEN UND DAS SETZEN DER PRAEPROZESSOR-DIREKTIVEN
+    # IF SOURCE CODE IS TO BE COMPILED, DO SOME MORE CHECKS
+    # AND SET PRE-PROCESSOR DIRECTIVES
  if [[ $do_compile = true  ||  $create_executable_for_batch = true ]]
  then
 
-       # PRAEPROZESSOR-DIREKTIVEN ZUM SELEKTIVEN AUSWAEHLEN VON CODETEILEN
-       # ZUSAMMENSETZEN
-       # DIREKTIVEN ZUM AKTIVIEREN VON RECHNERSPEZIFISCHEM CODE
+       # SET PREPROCESSOR-DIRECTIVES TO SELECT OPERATING SYSTEM SPECIFIC CODE
     if [[ $(echo $localhost | cut -c1-3) = ibm ]]
     then
@@ -1822,5 +1674,5 @@
     fi
 
-       # DIREKTIVEN DIE DURCH OPTION -K BESTIMMT WERDEN (Z.B. PARALLEL)
+       # SET DIRECTIVES GIVEN BY OPTION -K (E.G. parallel)
     if [[ $(echo $localhost | cut -c1-3) = ibm ]]
     then
@@ -1832,5 +1684,5 @@
     fi
 
-       # DIREKTIVEN DIE SOFTWAREPAKETE AKTIVIEREN (OPTION -p)
+       # SET DIRECTIVES FOR ACTIVATING SOFTWARE-PACKAGES (OPTION -p)
     if [[ -n $package_list ]]
     then
@@ -1858,5 +1710,5 @@
     fi
 
-       # DIREKTIVEN DIE DURCH OPTION -D FESTGELEGT SIND
+       # SET DIRECTIVES GIVEN BY OPTION -D
     if [[ -n $cpp_opts ]]
     then
@@ -1875,5 +1727,5 @@
 
 
-       # BEI LOKALEN RECHNUNGEN PRUEFEN, OB EXECUTABLE VORHANDEN
+       # FOR LOCAL RUNS CHECK AGAIN, IF EXECUTABLE EXISTS
     if [[ $do_remote = false ]]
     then
@@ -1888,5 +1740,5 @@
 
 
-    # JOBMODUS FESTSTELLEN 
+    # DETERMINE THE JOB MODE
  if [[ "$ENVIRONMENT" = BATCH ]]
  then
@@ -1897,5 +1749,5 @@
 
 
-    # no interactive runs on lctit
+    # NO INTERACTIVE RUNS ALLOWED ON LCTIT 
  if [[ $host = lctit  &&  $jobmo = INTERACTIVE  &&  $do_batch = false ]]
  then
@@ -1906,6 +1758,5 @@
 
 
-    # HOSTSPEZIFISCHE DEFAULT-COMPILER SETZEN, FALLS NICHT BEREITS
-    # DURCH BENUTZER ANDERWEITIG VEREINBART
+    # CHECK, IF USER DEFINED A COMPILER
  if [[ "$compiler_name" = "" ]]
  then
@@ -1917,10 +1768,5 @@
 
 
-    # COMPILER AUF RIAMS NEC UEBERSCHREIBEN
- [[ $localhost = necriam ]]  &&  compiler_name=mpif90
-
-
-
-    # TEMPORAEREN KATALOGNAMEN BESTIMMEN
+    # DETERMINE THE NAME OF MRUN'S TEMPORARY WORKING DIRECTORY
  kennung=$RANDOM
  if [[ "$tmp_user_catalog" = "" ]]
@@ -1939,6 +1785,5 @@
 
 
-    # KATALOGNAMEN FUER ZWISCHENSPEICHERUNG VON FORTSETZUNGSLAUFDATEIEN
-    # BESTIMMEN
+    # DETERMINE THE NAME OF THE DIRECTORY WHICH IS USED TO TEMPORARILY STORE DATA FOR RESTART RUNS
  if [[ "$tmp_data_catalog" = "" ]]
  then
@@ -1952,6 +1797,5 @@
 
 
-    # EVENTUELL BEI LOKALEN RECHNUNGEN $-ZEICHEN IN ENVIRONMENT-VARIABLEN
-    # ERSETZEN
+    # IN CASE OF LOCAL RUNS REPLACE ENVIRONMENT VARIABLES BY THEIR VALUES
  if [[ $do_remote = false  &&  $do_compile = true  ||  $create_executable_for_batch = true ]]
  then
@@ -1962,9 +1806,9 @@
 
 
-    # COMPILE- UND LINK-OPTIONEN BESTIMMEN
+    # DETERMINE COMPILE- AND LINK-OPTIONS
  fopts="$fopts $netcdf_inc $fftw_inc $dvr_inc"
  lopts="$lopts $netcdf_lib $fftw_lib $dvr_lib"
  ROPTS="$ropts"
-# if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcflow  ||  $host = lcxe6 ||  $host = lcxt5m || $host = lck || $host = lckiaps || $host = lckordi || $host = lcsb || $host )  &&  -n $numprocs ]]
+# if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lctit  ||  $host = lcflow  ||  $host = lcxe6 ||  $host = lcxt5m || $host = lck || $host = lckiaps || $host = lckordi || $host = lcsb || $host )  &&  -n $numprocs ]]
 # then
     XOPT="-X $numprocs"
@@ -1973,6 +1817,6 @@
 
 
-    # PRUEFEN DER CPU-ZEIT. (CPUMAX WIRD ALS ENV-VARIABLE VOM HAUTPRO-
-    # GRAMM BENOETIGT
+    # CHECK THE CPU-LIMIT. IT MUST BE GIVEN FOR BATCH-JOBS AND IS COMMUNICATED TO THE
+    # EXECUTABLE VIA NAMELIST-PARAMETER cputime
  done=false
  while [[ $done = false ]]
@@ -2000,5 +1844,5 @@
 
 
-    # PRUEFEN DER KERNSPEICHERANFORDERUNG
+    # CHECK THE MEMORY DEMAND
  if [[ $do_batch = true ]]
  then
@@ -2019,5 +1863,5 @@
 
 
-    # PRUEFEN, OB FUER REMOTE-RECHNUNGEN EIN BENUTZERNAME ANGEGEBEN WURDE
+    # IN CASE OF REMOTE-JOBS CHECK, IF A USERNAME FOR THE REMOTE HOST IS GIVEN
  if [[ $do_remote = true  &&  -z $remote_username ]]
  then
@@ -2039,5 +1883,5 @@
 
 
-    # set module load command and export for subjob
+    # SET THE MODULE-LOAD COMMAD AND EXPORT IT FOR subjob
  if [[ "$modules" != "" ]]
  then
@@ -2050,44 +1894,9 @@
  fi
 
-    # bugfix for wrong netcdf module and for netCDF4 usage in case of mpt
- if [[ $host = lcsgib  ||  $host = lcsgih ]]
- then
-    if [[ $(echo $module_calls | grep -c netcdf/3.6.3-intel) != 0 ]]
-    then
-       export module_calls="$module_calls export LD_LIBRARY_PATH=/sw/dataformats/netcdf/3.6.3-intel/lib:\$LD_LIBRARY_PATH;"
-    fi
-#     if [[ $(echo $module_calls | grep -c mpt) != 0 ]]
-#     then
-#        export module_calls="$module_calls export LD_LIBRARY_PATH=/sw/sgi/mpt/2011-02-07/lib:\$LD_LIBRARY_PATH;"
-#        echo "*** module_calls = $module_calls"
-#     fi
- fi
-
-
-    # SET DEFAULT VALUE FOR MPI MODULE TO BE USED ON SGI-ALTIX
- if [[ $host = lcsgib  ||  $host = lcsgih ]]
- then
-    if [[ $(echo $modules | grep -c mpt ) != 0 ]]
-    then
-       mpilib=mpt
-    elif [[ $(echo $modules | grep -c mvapich ) != 0 ]]
-    then
-       mpilib=mvapich
-    elif [[ $(echo $modules | grep -c impi ) != 0 ]]
-    then
-       mpilib=impi
-    fi
- fi
-
-
-
-###########################################################################
-# HEADER-AUSGABE
-###########################################################################
-
-
+
+
+    # OUTPUT OF THE MRUN-HEADER
  calltime=$(date)
  printf "\n"
-# [[ $silent = false ]]  &&  clear
  printf "#------------------------------------------------------------------------# \n"
  printf "| %-35s%35s | \n" "$version" "$calltime"
@@ -2095,14 +1904,9 @@
  spalte1="called on:"; spalte2=$localhost_realname
  printf "| %-25s%-45s | \n" "$spalte1" "$spalte2"
- if [[ $local_compile = false ]]
- then
-    if [[ $do_remote = true ]]
-    then
-       spalte1="execution on:"; spalte2="$host (username: $remote_username)"
-    else
-       spalte1="execution on:"; spalte2="$host ($localhost_realname)"
-    fi
+ if [[ $do_remote = true ]]
+ then
+    spalte1="execution on:"; spalte2="$host (username: $remote_username)"
  else
-    spalte1="compiling test only!"; spalte2=""
+    spalte1="execution on:"; spalte2="$host ($localhost_realname)"
  fi
  printf "| %-25s%-45s | \n" "$spalte1" "$spalte2"
@@ -2246,5 +2050,5 @@
 
 
-    # BEDINGTE AUSGABE DER DATEIVERBINDUNGEN
+    # OUTPUT OF FILE CONNECTIONS IN CASE OF TRACEBACK
  if [[ $do_trace = true ]]
  then
@@ -2292,5 +2096,5 @@
 
 
-    # ABFRAGEN BEI AUFRUF AUF LOKALER MASCHINE 
+    # QUERY FOR CONTINUE (ON LOCAL MACHINES ONLY)
  if [[ $remotecall = false  &&  $silent = false  &&  $jobmo != BATCH ]]
  then
@@ -2315,10 +2119,5 @@
        printf " >>> batch-job will be created and submitted"
     else
-       if [[ $local_compile = false ]]
-       then
-          printf " >>> MRUN will now continue to execute on this machine"
-       else
-          printf " >>> a test compilation will now be carried out on this machine"
-       fi
+       printf " >>> MRUN will now continue to execute on this machine"
     fi
  fi
@@ -2544,5 +2343,5 @@
           if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" ]]
           then
-                # EVENTUELLE DOPPELPUNKTE AUS OPTIONSSTRING UND ALLE -D ENTFERNEN
+                # REMOVE COLONS FROM OPTION-STRING, REMOVE ALL -D OPTIONS
              line="$line "
              copts_check=`echo $line | cut -d" " -s -f2 | sed 's/::/%DUM%/g' | sed 's/:/ /g' | sed 's/%DUM%/:/g' | sed 's/-D[^ ]* //g' | sed 's/ -D.*//g'`
@@ -2821,11 +2620,11 @@
 
 
-    # FALLS AUF DIESER MASCHINE GERECHNET WERDEN SOLL, WERDEN JETZT ENTSPRE-
-    # CHENDE AKTIONEN DURCHGEFUEHRT
+    # NOW PERFORM THOSE ACTIONS REQUIRED TO EXECUTE THE PROGRAM (PALM) ON THIS MACHINE
+    # (COMPILING/LINKING, EXECUTING, COPYING I/O FILES)
  if [[ $do_batch = false ]]
  then
 
 
-       # TEMPORAEREN KATALOG ERZEUGEN
+       # CREATE THE TEMPORARY WORKING DIRECTORY
     mkdir -p  $TEMPDIR
     chmod  go+rx  $TEMPDIR
@@ -2833,6 +2632,6 @@
 
 
-       # SAEMTLICHE QUELLTEXT-DATEIEN BZW. AUSFUEHRBARES PROGRAMM IN 
-       # TEMPORAERES VERZEICHNIS KOPIEREN
+       # COPY EITHER THE COMPLETE SOURCE CODE FILES TO BE COMPILED OR THE EXECUTABLE 
+       # INTO THE TEMPORARY WORKING DIRECTORY
     if [[ $do_compile = true ]]
     then
@@ -2878,13 +2677,13 @@
 
 
-       # WECHSEL IN TEMPORAEREN KATALOG
+       # CHANGE TO THE TEMPORARY WORKING DIRECTORY
     cd  $TEMPDIR
     printf "\n  *** changed to temporary directory: $TEMPDIR"
 
 
-       # OUTPUT-DATEI-VERBINDUNGEN AUF TEMPORAERER DATEI ABLEGEN
-       # DIESE DATEI KANN VON SPAETER AUFZURUFENDEN BENUTZERPROZEDUREN GELESEN
-       # WERDEN, UM ZU LOKALEN DATEINAMEN GEHOERENDE PERMANENTE NAMEN ZU
-       # ERMITTELN
+       # THE FOLLOWING IS REQUIRED FPR AVS-OUTPUT WITH PALM  ??? REMOVE ???
+       # WRITE INFORMATIONS ABOUT THE OUTPUT-FILE CONNECTIONS TO A TEMPORARY FILE
+       # THIS FILE CAN LATER BE READ FROM USER-DEFINED CODE TO DETERMINE THE
+       # RELATION BETWEEN THE LOCAL TEMPORARY AND PERMANENT FILE NAMES
     (( i = 0 ))
     while (( i < iout ))
@@ -2900,5 +2699,5 @@
 
 
-       # IF REQUIRED, START WITH COMPILING ACTIONS
+       # IF REQUIRED, START WITH COMPILING
     if [[ $do_compile = true ]]
     then
@@ -2915,5 +2714,5 @@
 
              # COMPILING WITH MAKE (ON NEC COMPILER IS CALLED ON HOST CROSS)
-          printf "\n\n\n  *** compilation starts \n$striche\n"
+          printf "\n\n\n  *** compilation starts \n$dashes\n"
           printf "  *** compilation with make using following options:\n"
           printf "      make depository:          $make_depository"
@@ -2943,17 +2742,5 @@
              ssh  $SSH_PORTOPT  plogin1  -l $usern  "$init_cmds export PATH=/sw/ibm/xlf/13.1.0.8/usr/bin:$PATH; $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
              [[ ! -f a.out ]]  &&  compile_error=true
-             continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
-          elif [[ $localhost = lcsgib ]]
-          then
-             printf "      compiler is called via ssh on \"bicegate0\" \n"
-             ssh  $SSH_PORTOPT  bicegate0  -l $usern  "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
-             [[ ! -f a.out ]]  &&  compile_error=true
-             continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
-          elif [[ $localhost = lcsgih ]]
-          then
-             printf "      compiler is called via ssh on \"hicegate0\" \n"
-             ssh  $SSH_PORTOPT  hicegate0  -l $usern  "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" 2>&1 "
-             [[ ! -f a.out ]]  &&  compile_error=true
-             continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
+             continue   # STATUS=1, IF a.out EXISTS
           elif [[ $localhost = lcflow ]]
           then 
@@ -2962,5 +2749,5 @@
              check_for_file=`/usr/bin/ssh $SSH_PORTOPT flow02.hpc.uni-oldenburg.de -l $usern "ls $TEMPDIR/a.out 2> /dev/null"`
              [[ "$check_for_file" = "" ]]  &&  compile_error=true
-             continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
+             continue   # STATUS=1, IF a.out EXISTS
           elif [[ $localhost = lccrayb  ||  $localhost = lccrayf ||  $localhost = lccrayh ]]
           then
@@ -2979,23 +2766,14 @@
              exit
           else
-             printf "$striche\n  *** compilation finished \n"
-          fi
-
-       fi
-
-    fi
-
-
-       # FALLS NUR TESTWEISE KOMPILIERT WERDEN SOLLTE, IST MRUN JETZT FERTIG
-    if [[ $local_compile = true ]]
-    then
-       cd  $HOME
-       rm -rf $TEMPDIR
-       locat=local_compile; exit
-    fi
-
-
-       # BEREITSTELLEN DER INPUT-DATEIEN
-       # SCHLEIFE UEBER ALLE VOM BENUTZER ANGEGEBENEN DATEIEN
+             printf "$dashes\n  *** compilation finished \n"
+          fi
+
+       fi
+
+    fi
+
+
+       # PROVIDE THE INPUT FILES
+       # LOOP OVER ALL ACTIVATED FILES (LISTED IN THE CONFIGURATION FILE)
     (( i = 0 ))
     while (( i < iin ))
@@ -3004,9 +2782,9 @@
        if (( i == 1 ))
        then
-          printf "\n\n  *** providing INPUT-files:\n$striche"
-       fi
-
-
-          # OPTIONALE DATEIEN BEI NICHTVORHANDENSEIN UEBERGEHEN
+          printf "\n\n  *** providing INPUT-files:\n$dashes"
+       fi
+
+
+          # SKIP OPTIONAL FILES, IF THEY DO NOT EXIST
        if [[ "${transin[$i]}" = unavailable ]]
        then
@@ -3022,5 +2800,5 @@
        fi
 
-          # PRUEFEN, OB EINZELDATEI ODER DATEI PRO PROZESSOR
+          # CHECK FOR SINGLE FILE (SERIAL RUN) OR DIRECTORY (ONE FILE PER CORE FOR PARELLEL EXECUTION)
        files_for_pes=false; datentyp=file
        if [[ "${actionin[$i]}" = pe  &&  -n $numprocs ]]
@@ -3054,8 +2832,7 @@
        fi
 
-          # INPUT-DATEI FUER EINEN FORTSETZUNGSLAUF. ES WIRD GEPRUEFT,
-          # OB DIESE DATEI NOCH AUF DEM TEMPORAEREN DATENKATALOG VORHANDEN
-          # IST. FALLS NICHT, WIRD VERSUCHT, SIE ANSCHLIESSEND VOM ARCHIV-
-          # SERVER ZU HOLEN
+          # INPUT-FILE FOR A RESTART RUN.
+          # CHECK, IF THIS FILE STILL EXISTS ON THE TEMPORARY DATA DIRECTORY.
+          # IF NOT, TRY TO GET IT FROM THE ARCHIVE SYSTEM
        if [[ "${actionin[$i]}" = fl ]]
        then
@@ -3104,5 +2881,5 @@
 
 
-          # DATEI LIEGT AUF ARCHIV-SERVER
+          # FILE IS STORED ON THE ARCHIVE SYSTEM
        if [[ "${actionin[$i]}" = ar ]]
        then
@@ -3162,20 +2939,10 @@
              if [[ $files_for_pes = false ]]
              then
-                if [[ $localhost = lcsgih ]]
-                then
-                   ssh  $SSH_PORTOPT  $usern@hicedata.hlrn.de  "cp  $PERM/${frelin[$i]}  $PWD"
-                else
-                   ssh  $SSH_PORTOPT  $usern@bicedata.hlrn.de  "cp  $PERM/${frelin[$i]}  $PWD"
-                fi
+                ssh  $SSH_PORTOPT  $usern@bicedata.hlrn.de  "cp  $PERM/${frelin[$i]}  $PWD"
              else
                 (( inode = 0 ))
                 while (( inode < nodes ))
                 do
-                   if [[ $localhost = lcsgih ]]
-                   then
-                      ssh  $SSH_PORTOPT  $usern@hicedata.hlrn.de  "cd $PWD; tar  xf  $PERM/${frelin[$i]}/${frelin[$i]}.node_$inode.tar"
-                   else
-                      ssh  $SSH_PORTOPT  $usern@bicedata.hlrn.de  "cd $PWD; tar  xf  $PERM/${frelin[$i]}/${frelin[$i]}.node_$inode.tar"
-                   fi
+                   ssh  $SSH_PORTOPT  $usern@bicedata.hlrn.de  "cd $PWD; tar  xf  $PERM/${frelin[$i]}/${frelin[$i]}.node_$inode.tar"
                    (( inode = inode + 1 ))
                 done
@@ -3205,6 +2972,6 @@
           then
 
-                # DATEI AUCH AUF TEMPORAERES DATENVERZEICHNIS LEGEN, DAMIT
-                # SIE BEI WEITEREN ZUGRIFFEN NOCH VORHANDEN IST
+                # PUT FILE ON THE TEMPORARY DATA DIRECTORY TOO.
+                # THIS WILL MAKE FILE ACCESS EASIER FOR LATER RUNS 
              [[ ! -d $tmp_data_catalog ]]  &&  mkdir -p  $tmp_data_catalog; chmod  g+rx  $tmp_data_catalog
              if [[ $files_for_pes = false ]]
@@ -3217,5 +2984,5 @@
              got_tmp[$i]=true
 
-                # DATEI UNTER LOKALEM NAMEN ZUR VERFUEGUNG STELLEN
+                # PROVIDE THE FILE UNDER ITS LOCAL NAME
              mv  ${frelin[$i]}  ${localin[$i]}
 
@@ -3224,5 +2991,5 @@
 
 
-          # DATEI LIEGT IM VOM BENUTZER ANGEGEBENEN VERZEICHNIS
+          # FILE IS STORED IN THE RESPECTIVE DIRECTORY GIVEN IN THE CONFIGURATION FILE
        if [[ "${actionin[$i]}" = ""  ||  "${actionin[$i]}" = "di"  ||  "${actionin[$i]}" = "npe" ]]
        then
@@ -3231,5 +2998,6 @@
           then
 
-                # DATEI WIRD FUER DIE PROZESSOREN EINES PARALLERECHNERS BEREITGESTELLT
+                # FILE COPIES ARE PROVIDED FOR ALL CORES
+                # EACH FILE GETS A UNIQUE FILENAME WITH A FOUR DIGIT NUMBER
              printf "\n      file will be provided for $numprocs processors"
              mkdir  ${localin[$i]}
@@ -3258,8 +3026,7 @@
              then
 
-                   # DIE DEN PROZESSOREN EINES PARALLELRECHNERS ZUGEHOERIGEN
-                   # DATEIEN WERDEN BEREITGESTELLT, INDEM ZUERST DER GESAMTE
-                   # KATALOGINHALT KOPIERT UND DANN DIE EINZELNEN DATEIEN
-                   # PER MOVE UMBENANNT WERDEN
+                   # PROVIDE FILES FOR EACH CORE
+                   # FIRST CREATE THE LOCAL DIRECTORY, THEN COPY FILES
+                   # FROM THE PERMANENT DIRECTORY BY LINKING THEM TO THE LOCAL ONE
                 printf "\n      providing $numprocs files for the respective processors"
                 mkdir  ${localin[$i]}
@@ -3274,5 +3041,6 @@
 		    cd $TEMPDIR
 		fi
-                # If "ln -f" fails of if "$link_local_input = false" do a normal "cp -r"
+
+                   # IF "ln -f" FAILED OR IF "$link_local_input = false" DO A NORMAL "cp -r"
 		if [[ ! -f "${localin[$i]}/_0000" ]]
 		    then
@@ -3285,5 +3053,6 @@
 
              else
-                   # BEREITSTELLUNG AUF EINPROZESSORRECHNERN
+
+                   # PROVIDE FILE FOR RUNS ON A SINGLE CORE
 		if [[ $link_local_input = true ]]
 		then
@@ -3307,9 +3076,9 @@
     if (( i != 0 ))
     then
-       printf "\n$striche\n  *** all INPUT-files provided \n"
-    fi
-
-
-       # EVENTUELLE INPUT-KOMMANDOS ABARBEITEN
+       printf "\n$dashes\n  *** all INPUT-files provided \n"
+    fi
+
+
+       # EXECUTE INPUT-COMMANDS GIVEN IN THE CONFIGURATION FILE
     (( i = 0 ))
     while (( i < iic ))
@@ -3318,5 +3087,5 @@
        if (( i == 1 ))
        then
-          printf "\n\n  *** execution of INPUT-commands:\n$striche"
+          printf "\n\n  *** execution of INPUT-commands:\n$dashes"
        fi
        printf "\n  >>> ${in_command[$i]}"
@@ -3324,10 +3093,10 @@
        if (( i == iic ))
        then
-          printf "\n$striche\n"
+          printf "\n$dashes\n"
        fi
     done
 
 
-       # VERBLEIBENDE CPU-ZEIT BERECHNEN
+       # SET THE REMAINING CPU-TIME
     cpurest=${cpumax}.
 
@@ -3341,5 +3110,5 @@
           printf "\n\n  *** preparing the dvr streaming server configuration file"
 
-             # Check, if a dvr server is already running
+             # CHECK, IF A DVR SERVER IS ALREADY RUNNING
           running_dvrserver_id=`echo $(ps -edaf | grep .dvrserver.config | grep -v grep) | cut -d" " -f2`
           if [[ "$running_dvrserver_id" != "" ]]
@@ -3357,8 +3126,9 @@
                 cp  ${PALM_BIN}/.dvrserver.config  .
 
-                   # Entering the BASEDIR, UID and GID into this file
+                   # ENTERING THE BASEDIR, UID AND GID INTO THIS FILE
                 user_id=`id -u`
                 group_id=`id -g`
-                   # & is needed as seperator, because TEMPDIR contains /
+
+                   # "&" IS REQUIRED AS A SEPERATOR, BECAUSE TEMPDIR CONTAINS "/"
                 sed "s&<replace by dvr data directory>&${TEMPDIR}&g" .dvrserver.config > .dvrserver.1
                 sed "s/<replace by user id>/$user_id/g"    .dvrserver.1 > .dvrserver.2
@@ -3367,5 +3137,5 @@
                 rm  .dvrserver.1  .dvrserver.2
 
-                   # Start dvr server in background, get his id and print on terminal
+                   # START DVR SERVER IN BACKGROUND, GET HIS ID AND PRINT ON TERMINAL
                 $dvr_server  .dvrserver.config  >>  DVR_LOGFILE  2>&1  &
                 dvrserver_id=`echo $(ps -edaf | grep .dvrserver.config) | cut -d" " -f2`
@@ -3387,6 +3157,6 @@
 
 
-       # NAMELIST-DATEI MIT WERTEN VON ENVIRONMENT-VARIABLEN ERZEUGEN (ZU
-       # LESEN VON PALM)
+       # CREATE THE NAMELIST-FILE WITH VALUES OF ENVIRONMENT-VARIABLES REQUIRED BY PALM
+       # (FILE ENVPAR WILL BE READ BY PALM)
     cat  >  ENVPAR  <<  %%END%%
  &envpar  run_identifier = '$fname', host = '$localhost',
@@ -3400,9 +3170,9 @@
 
 
-       # PROGRAMMSTART
-    printf "\n\n  *** execution starts in directory\n      \"`pwd`\"\n$striche\n"
+       # STARTING THE EXECUTABLE
+    printf "\n\n  *** execution starts in directory\n      \"`pwd`\"\n$dashes\n"
     PATH=$PATH:$TEMPDIR
 
-       # MPI debug option (argument checking, slows down execution due to increased latency)
+       # MPI DEBUG OPTION (ARGUMENT CHECKING, SLOWS DOWN EXECUTION DUE TO INCREASED LATENCY)
     if [[ "$mpi_debug" = true ]]
     then
